package org.jtheque.core.managers;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * An activable/desactivable manager.
 *
 * @author Baptiste Wicht
 */
public interface ActivableManager extends IManager{
    /**
     * Indicate if the manager is enabled or not.
     *
     * @return true if the manager is enabled else false.
     */
    boolean isEnabled();

    /**
     * Enable or disable the manager.
     *
     * @param enabled true if we want enable the manager else false. 
     */
    void setEnabled(boolean enabled);
}
