package org.jtheque.core.managers;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * A manager exception. This exception encapsulate an other exception who occurs during manager processes.
 *
 * @author Baptiste Wicht
 */
public class ManagerException extends Exception {
    private static final long serialVersionUID = -1947358376384227549L;

    /**
     * Construct a new ManagerException from another exception.
     *
     * @param e The exception who occurs.
     */
    public ManagerException(Throwable e) {
        super(e);
    }
}