package org.jtheque.core.managers.log;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.apache.log4j.Level;

/**
 * A logging level for HSQL Server logs.
 *
 * @author Baptiste Wicht
 */
public final class HsqlServerLevel extends Level {
    private static final long serialVersionUID = 3843966273072002786L;

    private static final int VERY_LOW_LEVEL = 12000;

    /**
     * Construct a new HsqlServerLevel.
     */
    HsqlServerLevel() {
        super(VERY_LOW_LEVEL, "HSQL", 7);
    }
}