package org.jtheque.core.managers.skin;

import javax.swing.UIManager.LookAndFeelInfo;

import java.io.File;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * @author Baptiste Wicht
 */
public final class SystemSkin extends AbstractSkin {
    /**
     * Create a new look and feel installed on the system with the <code>LookAndFeelInfo</code> object.
     *
     * @param laf The informations of the look and feel
     */
    public SystemSkin(LookAndFeelInfo laf) {
        super(laf.getName(), laf.getClassName());
    }

    @Override
    public File getFile() {
        throw new UnsupportedOperationException();
    }

    @Override
    public boolean isThemePack() {
        return false;
    }
}