package org.jtheque.core.managers.view.impl.components.filthy.java2d;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * A zoom alpha component. 
 * 
 * @author Baptiste Wicht
 */
public class ZoomAlphaCapableComponent extends AlphaCapableComponent {
    private float zoom  = -0.1f;

    /**
     * Return the zoom value. 
     * 
     * @return the current zoom value. 
     */
    final float getZoom() {
        return zoom;
    }

    /**
     * Set the zoom value. 
     * 
     * @param zoom The zoom value. 
     */
    public final void setZoom(float zoom) {
        this.zoom = zoom;

        repaint();
    }
}